Skip to content

POST Process uploaded object action

Execute a review action on an uploaded object. Required scopes: product:write

POSThttps://api.rooom.com/console/upload/objects/{objectId}
Try it out
product:write

Parameters

Path Parameters

NameTypeDescription
objectIdrequired
Example: 507f1f77bcf86cd799439011
stringUnique identifier of the uploaded object

Body required

multipart/form-data
NameTypeDescriptionValues
accepted_price
Example: 4990
integerPrice in cents. When set, immediately authorises the refinement.
action
Example: accept
stringAction to perform on the objectrequestacceptdeny
comment
Example: Object meets quality standards and is approved for processing
stringOptional comment explaining the action

Responses

200Action processed successfully
400Bad Request
401Unauthorized
500Internal server error
POST /console/upload/objects/{objectId} Process uploaded object action Execute a review action on an uploaded object. Required scopes: product:write objectId Unique identifier of the uploaded object accepted_price Price in cents. When set, immediately authorises the refinement. action Action to perform on the object comment Optional comment explaining the action